﻿$(function () {
	f_loadHeadline("page_main_0", "data");
	//启动查询新新闻条数，每10秒钟查询一次
	_interval = setInterval("f_getNewCount(" + _currentMdlId + ")", 10000);
})

//获取最新推荐的条数
function f_getNewCount(mdlId) {
	//先隐藏新消息条数
    $("#newCount").html('');
    $("#newCount").hide();
	var lastLoginTime = "";
	if (localStorage.getItem('_lastLoginTime') != null && localStorage.getItem('_lastLoginTime') != "") {
		lastLoginTime = localStorage.getItem('_lastLoginTime');
		$.ajax({
			url: _serviceUrl,
			type: "POST",
			cache: false,
			dataType: "jsonp",
			jsonp: "f_getNewCountCallback",
			contentType: "application/json;charset=utf-8",
			data:
			{
				"action": "getNewCount",
				"mdlId": mdlId,
				"lastLoginTime": encodeURIComponent(lastLoginTime),
				"callBack": "f_getNewCountCallback"
			},
			timeout: 5000
		});
	}
	else {
		localStorage.setItem('_lastLoginTime', f_getNowFormatDate());
	}
}

function f_getNewCountCallback(dataJSON) {
	if (dataJSON.result == "suc") {
		if (dataJSON.newCount != null && dataJSON.newCount != "" && dataJSON.newCount != "0") {
			$("#newCount").html(dataJSON.newCount);
			$("#newCount").show();
		}
		localStorage.setItem('_lastLoginTime', dataJSON.lastDate);
	}
}

function f_loadHeadline(panelId, dataType) {
	_currentPanelIndex = 0;
	_currentMdlId = "0";
	$("#btnMain").attr("class","icon icon-replay_10 pressed");
	if (_isRefresh){
	    myScroll.scrollTo(0, 50);
	}
    f_loadWeather();
    localStorage.setItem('_lastLoginTime', f_getNowFormatDate());
	var page = $("#" + panelId).attr("page");
	$.ajax({
		url: _serviceUrl,
		type: "POST",
		cache: false,
		dataType: "jsonp",
		jsonp: "f_loadHeadlineCallback",
		contentType: "application/json;charset=utf-8",
		data:
		{
			"action": "getHeadline",
			"dataType": encodeURIComponent(dataType),
			"panelId": encodeURIComponent(panelId),
			"page": page,
			"callBack": "f_loadHeadlineCallback"
		},
		timeout: 5000
	});
}

function f_loadHeadlineCallback(dataJSON) {
	var containerId = "";
	if (dataJSON.result == "suc") {
		var html = "";
		var j = 0;
		for (i = 0; i < dataJSON.data.length; i++) {
			html += f_appendData(dataJSON.data[i]);

			if (i > 0 && (i+1) % 8 == 0 && dataJSON.adv.length > j) {
				html += f_appendAdv(dataJSON.adv[j]);
				j++;
			}
		}

		var panelId = dataJSON.panelId;
		var page = $("#" + panelId).attr("page");
		containerId = panelId + "_p" + page;
		html = "<div id=\""+ containerId +"\">" + html + "</div>";
		if (page == "1") {
			$("#" + panelId + "_container").html(html);
		}
		else {
			$("#" + panelId + "_container").append(html);
		}
	}
	else {
	}
	//$.afui.hideMask();
	if (containerId != "")
	{
        $("#" + containerId).find("img").lazyload({
             effect: "fadeIn",
             threshold : 200
        });
	}
	if (_isRefresh){
        setTimeout("f_restoreScroll()",500);
    }
    else{
        $("#btnMain").attr("class","icon icon-home2 pressed");
        myScroll.refresh();
    }
}

function f_loadData(panelId) {
	if (panelId == "page_main_0" || panelId == "page_video_0") {
		return false;
	}
	if (_isRefresh){
	    myScroll.scrollTo(0, 50);
	}
	$("#btnMain").attr("class","icon icon-replay_10 pressed");
	var mdlId = $("#" + panelId).attr("mdlId");
	var page = $("#" + panelId).attr("page");
	var dataType = "data";
	if (panelId.indexOf("video") != -1) {
		dataType = "video";
	}
	_currentPanelIndex = $("#" + panelId).attr("current");
	_currentMdlId = mdlId;
    localStorage.setItem('_lastLoginTime', f_getNowFormatDate());

	//$.afui.showMask("<img src='imgs/amrams.png' /><br /><img src=\"imgs/loading2.gif\" align=\"absmiddle\" />", 30000);
	$.ajax({
		url: _serviceUrl,
		type: "POST",
		cache: false,
		dataType: "jsonp",
		jsonp: "f_loadDataCallback",
		contentType: "application/json;charset=utf-8",
		data:
		{
			"action": "getdata",
			"mdlId": mdlId,
			"dataType": encodeURIComponent(dataType),
			"panelId": encodeURIComponent(panelId),
			"page": page,
			"callBack": "f_loadDataCallback"
		},
		timeout: 5000
	});
}

function f_loadDataCallback(dataJSON) {
	var containerId = "";
	if (dataJSON.result == "suc") {
		var html = "";
		var j = 0;
		for (i = 0; i < dataJSON.data.length; i++) {
			html += f_appendData(dataJSON.data[i]);

			if (i > 0 && (i + 1) % 8 == 0 && dataJSON.adv.length > j) {
				html += f_appendAdv(dataJSON.adv[j]);
				j++;
			}
		}

		var panelId = dataJSON.panelId;
		var page = $("#" + panelId).attr("page");
		containerId = panelId + "_p" + page;
        html = "<div id=\""+ containerId +"\">" + html + "</div>";
		var container = $("#" + panelId + "_container");
		if (page == "1") {
			container.html(html);
		}
		else {
			container.append(html);
		}
	}
	else {
		//f_error(dataJSON.msg);
	}
	//$.afui.hideMask();
	if (containerId != "")
    {
        $("#" + containerId).find("img").lazyload({
             effect: "fadeIn",
             threshold : 200
        });
    }
    if (_isRefresh){
        setTimeout("f_restoreScroll()",500);
    }
    else{
        $("#btnMain").attr("class","icon icon-home2 pressed");
        myScroll.refresh();
    }
}

function f_restoreScroll()
{
	$("#btnMain").attr("class","icon icon-home2 pressed");
	myScroll.scrollTo(0, 0, 400, IScroll.utils.ease.back);
	myScroll.refresh();
}

function f_search() {
	//$("#SearchKey").blur();
	var page = $("#page_search").attr("page");
	if (_isRefresh){
	    myScroll.scrollTo(0, 50);
	}
	$.ajax({
		url: _serviceUrl,
		type: "POST",
		cache: false,
		dataType: "jsonp",
		jsonp: "f_searchCallback",
		contentType: "application/json;charset=utf-8",
		data:
		{
			"action": "getsearch",
			"key": encodeURIComponent($("#SearchKey").val()),
			"page": page,
			"callBack": "f_searchCallback"
		},
		timeout: 5000
	});
}

function f_searchCallback(dataJSON) {
    var containerId = "";
	if (dataJSON.result == "suc") {
		var html = "";
		for (i = 0; i < dataJSON.data.length; i++) {
			html += f_appendData(dataJSON.data[i]);
		}
		var page = $("#page_search").attr("page");
		alert(page);
		containerId = "page_search_p" + page;
        html = "<div id=\""+ containerId +"\">" + html + "</div>";
		var container = $("#page_search_container");
		if (page == "1") {
			container.html(html);
		}
		else {
			container.append(html);
		}
	}
	else {
		//$("#page_search_container").html('');
	}
	if (containerId != "")
    {
        $("#" + containerId).find("img").lazyload({
             effect: "fadeIn",
             threshold : 200
        });
    }
    if (_isRefresh){
        setTimeout("f_restoreScroll()",500);
    }
    else{
        $("#btnMain").attr("class","icon icon-home2 pressed");
        myScroll.refresh();
    }
}

function f_loadService() {
    if ($("#page_service").html() == "")
    {
        $.afui.showMask("<img src='imgs/amrams.png' /><br /><img src=\"imgs/loading2.gif\" align=\"absmiddle\" />", 30000);
        $.ajax({
            url: _serviceUrl,
            type: "POST",
            cache: false,
            dataType: "jsonp",
            jsonp: "f_loadServiceCallback",
            contentType: "application/json;charset=utf-8",
            data:
            {
                "action": "getservicetype",
                "callBack": "f_loadServiceCallback"
            },
            timeout: 5000
        });
	}
}

function f_loadServiceCallback(dataJSON) {
	if (dataJSON.result == "suc") {
	    var html = "";
	    for (i = 0; i < dataJSON.data.length; i++) {
	        html += "<div style=\"text-align:left;padding:15px 6px 6px 10px;font-size:10px;color:#716F76\">"+ dataJSON.data[i].StpName +"</div>";
	        if (dataJSON.data[i].Children != null && dataJSON.data[i].Children.length > 0)
	        {
	            html += "<table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"background-color:#FFFFFF\">";
	            for(c1 = 0; c1 < dataJSON.data[i].Children.length; c1 = c1 + 4)
	            {
	                html += "<tr>";
	                for (c2 = c1; c2 < c1 + 4; c2++)
	                {
                        var borderTop = "";
                        var borderRight = "";
                        if (c1 > 0)
                        {
                            borderTop = "border-top:1px solid #E5E5E5;";
                        }
                        if (c2 < c1 + 3)
                        {
                            borderRight = "border-right:1px solid #E5E5E5;";
                        }

	                    if (c2 < dataJSON.data[i].Children.length)
	                    {
                            html += "<td width=\"25%\" style=\"padding:6px;font-size:11px;color:#666666;"+ borderTop + borderRight +"\" align=\"center\" valign=\"bottom\" onclick=\"$('#page_service_list').attr('page','1').attr('key','').attr('stpid','" + dataJSON.data[i].Children[c2].StpId + "').attr('data-title','"+ dataJSON.data[i].Children[c2].StpName +"');f_loadServiceList()\">";
                            if (dataJSON.data[i].Children[c2].StpImg != "")
                            {
                                html += "<img src=\"" + _applicationUrl + "/" + dataJSON.data[i].Children[c2].StpImg + "\" style=\"width:25px;\" /><br />";
                            }
                            html += dataJSON.data[i].Children[c2].StpName;
                            html += "</td>";
	                    }
	                    else
	                    {
                            html += "<td width=\"25%\" style=\""+ borderTop +"\">&nbsp;</td>";
	                    }
	                }
	                html += "</tr>";
	            }
	            html += "</table>";
	        }
	    }

		$("#page_service").html(html);
	}
	else {
		$("#page_service").html('');
	}
	$.afui.hideMask();
}

function f_loadServiceList() {
	$("#page_service_list_container").html('');
	f_openPanel('page_service_list');
	var page = $("#page_service_list").attr("page");
	var stpId = $("#page_service_list").attr("stpid");
	var key = $("#page_service_list").attr("key");
	f_initScroll('page_service_list');
	$.afui.showMask("<img src='imgs/amrams.png' /><br /><img src=\"imgs/loading2.gif\" align=\"absmiddle\" />", 30000);
	$.ajax({
		url: _serviceUrl,
		type: "POST",
		cache: false,
		dataType: "jsonp",
		jsonp: "f_loadServiceListCallback",
		contentType: "application/json;charset=utf-8",
		data:
		{
			"action": "getservice",
			"page": page,
			"stpId": stpId,
			"key": encodeURIComponent(key),
			"callBack": "f_loadServiceListCallback"
		},
		timeout: 5000
	});
}

function f_loadServiceListCallback(dataJSON) {
	if (dataJSON.result == "suc") {
		var titleFontSizeCss = "";
		var defineFontsize = localStorage.getItem('_defineFontsize');
		if (defineFontsize != null) {
			if (defineFontsize == "特大") {
				titleFontSizeCss = "titleBigest";
			}
			else if (defineFontsize == "大") {
				titleFontSizeCss = "titleBigger";
			}
			else if (defineFontsize == "小") {
				titleFontSizeCss = "titleLittle";
			}
		}

		var html = "";
		for (i = 0; i < dataJSON.data.length; i++) {
            var titleWidth = $(window).width() - 95 - 20;
			html += "<div class=\"ListDefault" + _nightClass + "\" style=\"padding:6px;\" onclick=\"f_loadServiceDetail(this)\" sevid=\"" + dataJSON.data[i].SevId + "\">";
			if (dataJSON.data[i].SevTel != "")
			{
			    titleWidth = titleWidth - 44;
			    html += "<div style=\"float:right; width:44px;text-align:right;border-left:1px solid #F3F3F3\"><a href=\"tel:" + dataJSON.data[i].SevTel + "\"><img src=\"imgs/org-phone-icon.png\" style=\"width:40px;margin-top:15px;\"/></a></div>";
            }
			html += "<div class=\"ListDefaultImg" + _nightClass + "\" style=\"float:left;text-align:left;width:95px;height:70px;\"><img src=\"" + _applicationUrl + "/" +dataJSON.data[i].SevImage + "\" style=\"width:90px;height:70px\" /></div>";
			html += "<div class=\"ListDefaultTitle" + _nightClass + " " + titleFontSizeCss + "\" style=\"width:"+ titleWidth +"px;font-size:14px;font-weight:bold;margin:0px;\">" + dataJSON.data[i].SevTitle + "</div>";
			html += "<div class=\"ListDefaultInfor" + _nightClass + "\" style=\"margin:0px;width:150px;\">" + dataJSON.data[i].SevCompany + "<br />" + dataJSON.data[i].SevAddr + "</div>";
			html += "<div style=\"clear:both;\"></div>";
			html += "</div>";
		}
		var page = $("#page_service_list").attr("page");
		if (page == "1") {
			$("#page_service_list_container").html(html);
		}
		else {
			$("#page_service_list_container").append(html);
		}
	}
	else {
	    var page = $("#page_service_list").attr("page");
	    if (page == "1") {
		    $("#page_service_list_container").html("<div style='padding:10px;text-align:center;font-size:12px;color:716F76;'>暫時沒有資料</div>");
		}
		else {
			$("#page_service_list_container").append('');
		}
	}
	myScroll.refresh();
	$.afui.hideMask();
}

function f_loadServiceDetail(sender) {
	$("#page_service_detail").html('');
	$("div[class='ListDefault" + _nightClass + "']").each(function () {
		$(this).css("background-color", "");
	});
	$("div[class='List3Pics" + _nightClass + "']").each(function () {
		$(this).css("background-color", "");
	});
	$(sender).css("background-color", "#f0f0f0");

	var sevId = $(sender).attr("sevid");
	f_openPanel('page_service_detail');
	$("#page_service_detail").attr("sevId", sevId);

	$.afui.showMask("<img src='imgs/amrams.png' /><br /><img src=\"imgs/loading2.gif\" align=\"absmiddle\" />", 30000);
	$.ajax({
		url: _serviceUrl,
		type: "POST",
		cache: false,
		dataType: "jsonp",
		jsonp: "f_loadServiceDetailCallback",
		contentType: "application/json;charset=utf-8",
		data:
		{
			"action": "getservicedetail",
			"sevId": sevId,
			"callBack": "f_loadServiceDetailCallback"
		},
		timeout: 5000
	});
}

function f_loadServiceDetailCallback(dataJSON) {
	var contentFontSizeCss = "";
	var defineFontsize = localStorage.getItem('_defineFontsize');
	if (defineFontsize != null) {
		if (defineFontsize == "特大") {
			contentFontSizeCss = "detailBigest";
		}
		else if (defineFontsize == "大") {
			contentFontSizeCss = "detailBigger";
		}
		else if (defineFontsize == "小") {
			contentFontSizeCss = "detailLittle";
		}
	}

	var html = "";

	html += "<div style=\"background-color:#ffffff;border-bottom:1px solid #E3E3E3;padding:15px;line-height:1.6;\">";
	html += "<span style=\"font-weight:bold;font-size:18px;\">" + dataJSON.SevTitle + "</span><br />"
	html += "<span style=\"color:#A6A6A6;font-size:12px;\">" + dataJSON.SevCompany + "</span><br />"
	html += "<span style=\"color:#A6A6A6;font-size:12px;\">" + dataJSON.SevIDate + "</span><br />"
	html += "</div>";

	html += "<div style=\"margin-top:10px;background-color:#ffffff;border-bottom:1px solid #E3E3E3;padding:15px;line-height:1.6;\">";
	if (dataJSON.SevTel != "")
    {
        html += "<div style=\"float:right; width:40px;\"><a href=\"tel:" + dataJSON.SevTel + "\"><img src=\"imgs/org-phone-icon.png\" style=\"width:40px;margin-top:20px;\"/></a></div>";
    }
	html += "<span style=\"font-size:15px;\">連絡人:" + dataJSON.SevContact + "</span><br />"
	html += "<span style=\"color:#FF662C;font-size:15px;\">" + dataJSON.SevTel + "</span><br />"
	html += "<span style=\"color:#A6A6A6;font-size:12px;\">地址：" + dataJSON.SevAddr + "</span><br />"
	if (dataJSON.SevContent == "") {
        html += "<span style=\"font-size:15px;\"><br /><br /><br /><br /><br /><br /><br /></span>";
    }
    else {
        html += "<span style=\"font-size:15px;\">" + dataJSON.SevContent + "</span>";
    }
	html += "<div style=\"clear:both;\"></div>";
    html += "</div>";

	try {
		$("#page_service_detail").html(html);
	} catch (e) { }

	$.afui.hideMask();
}


function f_loadFavorites() {
	var allFav = localStorage.getItem('_usrFavorites');
	if (allFav != null && allFav != "" && allFav != "0") {
		$.afui.showMask("<img src='imgs/amrams.png' /><br /><img src=\"imgs/loading2.gif\" align=\"absmiddle\" />", 30000);
		$.ajax({
			url: _serviceUrl,
			type: "POST",
			cache: false,
			dataType: "jsonp",
			jsonp: "f_loadFavoritesCallback",
			contentType: "application/json;charset=utf-8",
			data:
			{
				"action": "getdatabyids",
				"ids": encodeURIComponent(allFav),
				"callBack": "f_loadFavoritesCallback"
			},
			timeout: 5000
		});
	}
	else {
		$("#page_favorites_container").html('<div style=\"text-align:center;font-size:12px;margin-top:15px;\">您暂时没有收藏的信息</div>');
	}
}

function f_loadFavoritesCallback(dataJSON) {
	var container = $("#page_favorites_container");
	if (dataJSON.result == "suc") {
		var html = "";
		for (i = 0; i < dataJSON.data.length; i++) {
			html += f_appendData(dataJSON.data[i]);
		}
		container.html(html);
	}
	else {
		container.html('<div style=\"text-align:center;font-size:12px;margin-top:15px;\">您暂时没有收藏的信息</div>');
	}
	$("#page_favorites_container").find("img").lazyload({
         effect: "fadeIn"
    });
	$.afui.hideMask();
}

function f_appendData(data) {
	var titleFontSizeCss = "";
	var defineFontsize = localStorage.getItem('_defineFontsize');
	if (defineFontsize != null) {
		if (defineFontsize == "特大") {
			titleFontSizeCss = "titleBigest";
		}
		else if (defineFontsize == "大") {
			titleFontSizeCss = "titleBigger";
		}
		else if (defineFontsize == "小") {
			titleFontSizeCss = "titleLittle";
		}
	}

	var dataItem = "";
	if (localStorage.getItem('_defineLanguage') != null && localStorage.getItem('_defineLanguage') == "中文繁体") {
		if (data.DatPicPosition == "下") {
			if (data.DatPic != "" && data.DatPic2 != "" && data.DatPic3 != "") {
				dataItem += "<div class=\"List3Pics" + _nightClass + "\" onclick=\"f_loadDetail(this)\" datid=\"" + data.DatId + "\">";
				dataItem += "<div name=\"divTitle\" class=\"List3PicsTitle" + _nightClass + " " + titleFontSizeCss + "\">" + data.DatTitleFT + "</div>";
				dataItem += "<div class=\"List3PicsImg" + _nightClass + "\">";
				dataItem += "<img data-original=\"" + data.DatPic + "\" src=\"imgs/lazy2.png\" />&nbsp;";
				dataItem += "<img data-original=\"" + data.DatPic2 + "\" src=\"imgs/lazy2.png\" />&nbsp;";
				dataItem += "<img data-original=\"" + data.DatPic3 + "\" src=\"imgs/lazy2.png\" />";
				dataItem += "</div>";
				dataItem += "<div class=\"List3PicsInfor" + _nightClass + "\">";
				if (data.DatIsTop == "1")
				{
                    dataItem += "<span class=\"ListTop" + _nightClass + "\">置頂</span>";
                }
                dataItem += data.DatSourceFT;
				if (data.DatHits != "")
				{
				    dataItem += "&nbsp;&nbsp;" + data.DatHits + "點擊";
				}
				if (data.DatPTimes != "")
				{
                    dataItem += "&nbsp;&nbsp;" + data.DatPTimes;
				}
				dataItem += "</div>";
				dataItem += "<div style=\"clear:both;\"></div>";
				dataItem += "</div>";
			}
			else if (data.DatPic != "" || data.DatPic2 != "" || data.DatPic3 != "") {
			    var datPic = data.DatPic3;
                if (data.DatPic2 != "")
                {
                    datPic = data.DatPic2;
                }
                if (data.DatPic != "")
                {
                    datPic = data.DatPic;
                }
				dataItem += "<div class=\"List3Pics" + _nightClass + "\" onclick=\"f_loadDetail(this)\" datid=\"" + data.DatId + "\">";
				dataItem += "<div name=\"divTitle\" class=\"List3PicsTitle" + _nightClass + " " + titleFontSizeCss + "\">" + data.DatTitleFT + "</div>";
				dataItem += "<div style=\"height:180px;overflow:hidden;\">";
				dataItem += "<img data-original=\"" + datPic + "\" src=\"imgs/lazy1.png\" style=\"width:100%;\" />";
				dataItem += "</div>";
				dataItem += "<div class=\"List3PicsInfor" + _nightClass + "\">";
                if (data.DatIsTop == "1")
                {
                    dataItem += "<span class=\"ListTop" + _nightClass + "\">置頂</span>";
                }
                dataItem += data.DatSourceFT;
                if (data.DatHits != "")
                {
                    dataItem += "&nbsp;&nbsp;" + data.DatHits + "點擊";
                }
                if (data.DatPTimes != "")
                {
                    dataItem += "&nbsp;&nbsp;" + data.DatPTimes;
                }
                dataItem += "</div>";
				dataItem += "<div style=\"clear:both;\"></div>";
				dataItem += "</div>";
			}
			else {
				dataItem += "<div class=\"ListDefault" + _nightClass + "\" style=\"padding-bottom:10px;\" onclick=\"f_loadDetail(this)\" datid=\"" + data.DatId + "\">";
				dataItem += "<div name=\"divTitle\" class=\"ListDefaultTitle" + _nightClass + " " + titleFontSizeCss + "\" style=\"width:100%;\">" + data.DatTitleFT + "</div>";
				dataItem += "<div class=\"ListDefaultInfor" + _nightClass + "\">";
                if (data.DatIsTop == "1")
                {
                    dataItem += "<span class=\"ListTop" + _nightClass + "\">置頂</span>";
                }
                dataItem += data.DatSourceFT;
                if (data.DatHits != "")
                {
                    dataItem += "&nbsp;&nbsp;" + data.DatHits + "點擊";
                }
                if (data.DatPTimes != "")
                {
                    dataItem += "&nbsp;&nbsp;" + data.DatPTimes;
                }
                dataItem += "</div>";
				dataItem += "<div style=\"clear:both;\"></div>";
				dataItem += "</div>";
			}
		}
		else if (data.DatVideo != '') {
			dataItem += "<div class=\"List3Pics" + _nightClass + "\" datid=\"" + data.DatId + "\">";
			dataItem += "<div name=\"divTitle\" class=\"List3PicsTitle" + _nightClass + " " + titleFontSizeCss + "\">" + data.DatTitleFT + "</div>";
			dataItem += "<div style=\"height:240px;text-align:center;background-image:url('" + data.DatPic + "');background-size:auto 100%\">";
            dataItem += "<img src=\"imgs/play3.png\" style=\"margin-top:100px;\" onclick=\"f_playVideo('" + data.DatVideo + "')\" />";
            //dataItem += "<video id=\"video"+ data.DatId + "\" onplay=\"f_stopAllVideo('video"+ data.DatId + "')\" src=\"" + data.DatVideo + "\" poster=\"" + data.DatPic + "\" width=\"100%\" height=\"240\" preload=\"metadata\" controls=\"controls\"></video>";
            dataItem += "</div>";
			dataItem += "<div class=\"List3PicsInfor" + _nightClass + "\">";
            if (data.DatIsTop == "1")
            {
                dataItem += "<span class=\"ListTop" + _nightClass + "\">置頂</span>";
            }
            dataItem += data.DatSourceFT;
            if (data.DatHits != "")
            {
                dataItem += "&nbsp;&nbsp;" + data.DatHits + "點擊";
            }
            if (data.DatPTimes != "")
            {
                dataItem += "&nbsp;&nbsp;" + data.DatPTimes;
            }
            dataItem += "</div>";
			dataItem += "</div>";
		}
		else if (data.DatPic != "" || data.DatPic2 != "" || data.DatPic3 != "") {
		    var datPic = data.DatPic3;
            if (data.DatPic2 != "")
            {
                datPic = data.DatPic2;
            }
            if (data.DatPic != "")
            {
                datPic = data.DatPic;
            }
			dataItem += "<div class=\"ListDefault" + _nightClass + "\" onclick=\"f_loadDetail(this)\" datid=\"" + data.DatId + "\">";
			dataItem += "<div class=\"ListDefaultImg" + _nightClass + "\"><img data-original=\"" + datPic + "\" src=\"imgs/lazy2.png\" /></div>";
			dataItem += "<div name=\"divTitle\" class=\"ListDefaultTitle" + _nightClass + " " + titleFontSizeCss + "\">" + data.DatTitleFT + "</div>";
			dataItem += "<div class=\"ListDefaultInfor" + _nightClass + "\">";
            if (data.DatIsTop == "1")
            {
                dataItem += "<span class=\"ListTop" + _nightClass + "\">置頂</span>";
            }
            dataItem += data.DatSourceFT;
            if (data.DatHits != "")
            {
                dataItem += "&nbsp;&nbsp;" + data.DatHits + "點擊";
            }
            if (data.DatPTimes != "")
            {
                dataItem += "&nbsp;&nbsp;" + data.DatPTimes;
            }
            dataItem += "</div>";
            dataItem += "<div style=\"clear:both;\"></div>";
			dataItem += "</div>";
		}
		else {
			dataItem += "<div class=\"ListDefault" + _nightClass + "\" style=\"padding-bottom:10px;\" onclick=\"f_loadDetail(this)\" datid=\"" + data.DatId + "\">";
			dataItem += "<div name=\"divTitle\" class=\"ListDefaultTitle" + _nightClass + " " + titleFontSizeCss + "\" style=\"width:100%;\">" + data.DatTitleFT + "</div>";
			dataItem += "<div class=\"ListDefaultInfor" + _nightClass + "\">";
            if (data.DatIsTop == "1")
            {
                dataItem += "<span class=\"ListTop" + _nightClass + "\">置頂</span>";
            }
            dataItem += data.DatSourceFT;
            if (data.DatHits != "")
            {
                dataItem += "&nbsp;&nbsp;" + data.DatHits + "點擊";
            }
            if (data.DatPTimes != "")
            {
                dataItem += "&nbsp;&nbsp;" + data.DatPTimes;
            }
            dataItem += "</div>";
            dataItem += "<div style=\"clear:both;\"></div>";
			dataItem += "</div>";
		}
	}
	else {
		if (data.DatPicPosition == "下") {
			if (data.DatPic != "" && data.DatPic2 != "" && data.DatPic3 != "") {
				dataItem += "<div class=\"List3Pics" + _nightClass + "\" onclick=\"f_loadDetail(this)\" datid=\"" + data.DatId + "\">";
				dataItem += "<div name=\"divTitle\" class=\"List3PicsTitle" + _nightClass + " " + titleFontSizeCss + "\">" + data.DatTitle + "</div>";
				dataItem += "<div class=\"List3PicsImg" + _nightClass + "\">";
				dataItem += "<img data-original=\"" + data.DatPic + "\" src=\"imgs/lazy2.png\" />&nbsp;";
				dataItem += "<img data-original=\"" + data.DatPic2 + "\" src=\"imgs/lazy2.png\" />&nbsp;";
				dataItem += "<img data-original=\"" + data.DatPic3 + "\" src=\"imgs/lazy2.png\" />";
				dataItem += "</div>";
				dataItem += "<div class=\"List3PicsInfor" + _nightClass + "\">";
                if (data.DatIsTop == "1")
                {
                    dataItem += "<span class=\"ListTop" + _nightClass + "\">置顶</span>";
                }
				dataItem += data.DatSource;
                if (data.DatHits != "")
                {
                    dataItem += "&nbsp;&nbsp;" + data.DatHits + "点击";
                }
                if (data.DatPTimes != "")
                {
                    dataItem += "&nbsp;&nbsp;" + data.DatPTimes;
                }
                dataItem += "</div>";
				dataItem += "<div style=\"clear:both;\"></div>";
				dataItem += "</div>";
			}
			else if (data.DatPic != "" || data.DatPic2 != "" || data.DatPic3 != "") {
			    var datPic = data.DatPic3;
			    if (data.DatPic2 != "")
			    {
			        datPic = data.DatPic2;
			    }
			    if (data.DatPic != "")
                {
                    datPic = data.DatPic;
                }
				dataItem += "<div class=\"List3Pics" + _nightClass + "\" onclick=\"f_loadDetail(this)\" datid=\"" + data.DatId + "\">";
				dataItem += "<div name=\"divTitle\" class=\"List3PicsTitle" + _nightClass + " " + titleFontSizeCss + "\">" + data.DatTitle + "</div>";
				dataItem += "<div style=\"height:180px;overflow:hidden\">";
				dataItem += "<img data-original=\"" + datPic + "\" src=\"imgs/lazy1.png\" style=\"width:100%;\" />";
				dataItem += "</div>";
				dataItem += "<div class=\"List3PicsInfor" + _nightClass + "\">";
                if (data.DatIsTop == "1")
                {
                    dataItem += "<span class=\"ListTop" + _nightClass + "\">置顶</span>";
                }
				dataItem += data.DatSource;
                if (data.DatHits != "")
                {
                    dataItem += "&nbsp;&nbsp;" + data.DatHits + "点击";
                }
                if (data.DatPTimes != "")
                {
                    dataItem += "&nbsp;&nbsp;" + data.DatPTimes;
                }
                dataItem += "</div>";
                dataItem += "<div style=\"clear:both;\"></div>";
				dataItem += "</div>";
			}
			else {
				dataItem += "<div class=\"ListDefault" + _nightClass + "\" style=\"padding-bottom:10px;\" onclick=\"f_loadDetail(this)\" datid=\"" + data.DatId + "\">";
				dataItem += "<div name=\"divTitle\" class=\"ListDefaultTitle" + _nightClass + " " + titleFontSizeCss + "\" style=\"width:100%;\">" + data.DatTitle + "</div>";
				dataItem += "<div class=\"ListDefaultInfor" + _nightClass + "\">";
                if (data.DatIsTop == "1")
                {
                    dataItem += "<span class=\"ListTop" + _nightClass + "\">置顶</span>";
                }
                dataItem += data.DatSource;
                if (data.DatHits != "")
                {
                    dataItem += "&nbsp;&nbsp;" + data.DatHits + "点击";
                }
                if (data.DatPTimes != "")
                {
                    dataItem += "&nbsp;&nbsp;" + data.DatPTimes;
                }
                dataItem += "</div>";
                dataItem += "<div style=\"clear:both;\"></div>";
				dataItem += "</div>";
			}
		}
		else if (data.DatVideo != '') {
			dataItem += "<div class=\"List3Pics" + _nightClass + "\" datid=\"" + data.DatId + "\">";
			dataItem += "<div name=\"divTitle\" class=\"List3PicsTitle" + _nightClass + " " + titleFontSizeCss + "\">" + data.DatTitle + "</div>";
			dataItem += "<div style=\"height:240px;text-align:center;background-image:url('" + data.DatPic + "');background-size:auto 100%\">";
			dataItem += "<img src=\"imgs/play3.png\" style=\"margin-top:100px;\" onclick=\"f_playVideo('" + data.DatVideo + "')\" />";
			//dataItem += "<video id=\"video"+ data.DatId + "\" onplay=\"f_stopAllVideo('video"+ data.DatId + "')\" src=\"" + data.DatVideo + "\" poster=\"" + data.DatPic + "\" width=\"100%\" height=\"240\" preload=\"metadata\" controls=\"controls\"></video>";
			dataItem += "</div>";
			dataItem += "<div class=\"List3PicsInfor" + _nightClass + "\">";
            if (data.DatIsTop == "1")
            {
                dataItem += "<span class=\"ListTop" + _nightClass + "\">置顶</span>";
            }
            dataItem += data.DatSource;
            if (data.DatHits != "")
            {
                dataItem += "&nbsp;&nbsp;" + data.DatHits + "点击";
            }
            if (data.DatPTimes != "")
            {
                dataItem += "&nbsp;&nbsp;" + data.DatPTimes;
            }
            dataItem += "</div>";
			dataItem += "</div>";
		}
		else if (data.DatPic != "" || data.DatPic2 != "" || data.DatPic3 != "") {
            var datPic = data.DatPic3;
            if (data.DatPic2 != "")
            {
                datPic = data.DatPic2;
            }
            if (data.DatPic != "")
            {
                datPic = data.DatPic;
            }
			dataItem += "<div class=\"ListDefault" + _nightClass + "\" onclick=\"f_loadDetail(this)\" datid=\"" + data.DatId + "\">";
			dataItem += "<div class=\"ListDefaultImg" + _nightClass + "\"><img data-original=\"" + datPic + "\" src=\"imgs/lazy2.png\" /></div>";
			dataItem += "<div name=\"divTitle\" class=\"ListDefaultTitle" + _nightClass + " " + titleFontSizeCss + "\">" + data.DatTitle + "</div>";
			dataItem += "<div class=\"ListDefaultInfor" + _nightClass + "\">";
            if (data.DatIsTop == "1")
            {
                dataItem += "<span class=\"ListTop" + _nightClass + "\">置顶</span>";
            }
            dataItem += data.DatSource;
            if (data.DatHits != "")
            {
                dataItem += "&nbsp;&nbsp;" + data.DatHits + "点击";
            }
            if (data.DatPTimes != "")
            {
                dataItem += "&nbsp;&nbsp;" + data.DatPTimes;
            }
            dataItem += "</div>";
			dataItem += "<div style=\"clear:both;\"></div>";
			dataItem += "</div>";
		}
		else {
			dataItem += "<div class=\"ListDefault" + _nightClass + "\" style=\"padding-bottom:10px;\" onclick=\"f_loadDetail(this)\" datid=\"" + data.DatId + "\">";
			dataItem += "<div name=\"divTitle\" class=\"ListDefaultTitle" + _nightClass + " " + titleFontSizeCss + "\" style=\"width:100%;\">" + data.DatTitle + "</div>";
			dataItem += "<div class=\"ListDefaultInfor" + _nightClass + "\">";
            if (data.DatIsTop == "1")
            {
                dataItem += "<span class=\"ListTop" + _nightClass + "\">置顶</span>";
            }
            dataItem += data.DatSource;
            if (data.DatHits != "")
            {
                dataItem += "&nbsp;&nbsp;" + data.DatHits + "点击";
            }
            if (data.DatPTimes != "")
            {
                dataItem += "&nbsp;&nbsp;" + data.DatPTimes;
            }
            dataItem += "</div>";
			dataItem += "<div style=\"clear:both;\"></div>";
			dataItem += "</div>";
		}
	}

	return dataItem;
}

function f_appendAdv(adv) {
	var titleFontSizeCss = "";
	var defineFontsize = localStorage.getItem('_defineFontsize');
	if (defineFontsize != null) {
		if (defineFontsize == "特大") {
			titleFontSizeCss = "titleBigest";
		}
		else if (defineFontsize == "大") {
			titleFontSizeCss = "titleBigger";
		}
		else if (defineFontsize == "小") {
			titleFontSizeCss = "titleLittle";
		}
	}

	var dataItem = "";
	if (localStorage.getItem('_defineLanguage') != null && localStorage.getItem('_defineLanguage') == "中文繁体") {
		dataItem += "<div class=\"List3Pics" + _nightClass + "\">";
		dataItem += "<div name=\"divTitle\" class=\"List3PicsTitle" + _nightClass + " " + titleFontSizeCss + "\" style=\"font-weight:bold\">" + adv.AdvTitleFT + "</div>";
		dataItem += "<div>";
		if (adv.AdvLink != "")
		{
		    dataItem += "<img src=\"" + _applicationUrl + '/' + adv.AdvPic + "\" style=\"width:100%;height:160px;\" onclick=\"f_openAdv('"+ adv.AdvLink +"')\" />";
		}
		else
		{
		    dataItem += "<img src=\"" + _applicationUrl + '/' + adv.AdvPic + "\" style=\"width:100%;height:160px;\" />";
        }
		dataItem += "</div>";
		if (adv.AdvCaptionFT != "")
		{
		    dataItem += "<div><span class=\"ListAdv" + _nightClass + "\">" + adv.AdvCaptionFT + "</span></div>";
		}
		dataItem += "<div style=\"clear:both;\"></div>";
		dataItem += "</div>";
	}
	else {
		dataItem += "<div class=\"List3Pics" + _nightClass + "\">";
		dataItem += "<div name=\"divTitle\" class=\"List3PicsTitle" + _nightClass + " " + titleFontSizeCss + "\" style=\"font-weight:bold\">" + adv.AdvTitle + "</div>";
		dataItem += "<div>";
		if (adv.AdvLink != "")
        {
            dataItem += "<img src=\"" + _applicationUrl + '/' + adv.AdvPic + "\" style=\"width:100%;height:160px;\" onclick=\"f_openAdv('"+ adv.AdvLink +"')\" />";
        }
        else
        {
            dataItem += "<img src=\"" + _applicationUrl + '/' + adv.AdvPic + "\" style=\"width:100%;height:160px;\" />";
        }
		dataItem += "</div>";
		if (adv.AdvCaptionFT != "")
        {
		    dataItem += "<div><span class=\"ListAdv" + _nightClass + "\">" + adv.AdvCaption + "</span></div>";
		}
		dataItem += "<div style=\"clear:both;\"></div>";
		dataItem += "</div>";
	}

	return dataItem;
}

function f_openAdv(url)
{
    cordova.InAppBrowser.open(url, '_system');
}

function f_loadDetail(sender) {
	$("#page_detail").html('');
	$("div[class='ListDefault" + _nightClass + "']").each(function () {
		$(this).css("background-color", "");
	});
	$("div[class='List3Pics" + _nightClass + "']").each(function () {
		$(this).css("background-color", "");
	});

	if (_nightClass == "Night") {
		$(sender).css("background-color", "#1B1B1B");
	}
	else {
		$(sender).css("background-color", "#f0f0f0");
	}
	$(sender).find("div[name='divTitle']").css("color", "#4a4a4a");

	//隐藏评论栏目
	$("#page_detail_discuss_container_textarea").val('');
	$("#page_detail_discuss").show();
	$("#page_detail_discuss_container").hide();
	$("#page_detail_discuss_container_button").css("background-color", "#F9AAAA");
	$("#detailViewFooter").css("height", "45px");

	var datId = $(sender).attr("datid");
	f_openPanel('page_detail');
	$("#page_detail").attr("datId", datId);

	$.afui.showMask("<img src='imgs/amrams.png' /><br /><img src=\"imgs/loading2.gif\" align=\"absmiddle\" />", 30000);
	$.ajax({
		url: _serviceUrl,
		type: "POST",
		cache: false,
		dataType: "jsonp",
		jsonp: "f_loadDetailCallback",
		contentType: "application/json;charset=utf-8",
		data:
		{
			"action": "getdatadetail",
			"datId": datId,
			"callBack": "f_loadDetailCallback"
		},
		timeout: 5000
	});
}

function f_loadDetailCallback(dataJSON) {
	var contentFontSizeCss = "";
	var defineFontsize = localStorage.getItem('_defineFontsize');
	if (defineFontsize != null) {
		if (defineFontsize == "特大") {
			contentFontSizeCss = "detailBigest";
		}
		else if (defineFontsize == "大") {
			contentFontSizeCss = "detailBigger";
		}
		else if (defineFontsize == "小") {
			contentFontSizeCss = "detailLittle";
		}
	}

	var userInfor = "<img src=\"" + _applicationUrl + "/" + dataJSON.DatUsrLogo + "\" align=\"absmiddle\" style=\"width:20px;\" />&nbsp;" + dataJSON.DatUsrName;
	$("#page_detail_title").html(userInfor);

	if (dataJSON.DdsCount != "0") {
		$("#page_detail_discussCount").show();
		$("#page_detail_discussCount").html(dataJSON.DdsCount)
	}
	else {
		$("#page_detail_discussCount").hide();
		$("#page_detail_discussCount").html("0");
	}

	if (localStorage.getItem('_defineLanguage') != null && localStorage.getItem('_defineLanguage') == "中文繁体") {
		var html = "<div class=\"detailtitle" + _nightClass + " " + contentFontSizeCss + "\">" + dataJSON.DatTitleFT + "</div>";
		if (dataJSON.DatUsrId != "") {
			html += "<div class=\"detailuser" + _nightClass + "\">";
			html += "<div style=\"float:left;color:#5091D2;\">" + dataJSON.DatSourceFT + "</div>";
			html += "<div style=\"float:right;color:#ABABAB\">" + dataJSON.DatPDate + "</div>";
			html += "<div style=\"clear:both;\"></div>";
			html += "</div>";
		}
		html += "<div class=\"detailcontent" + _nightClass + " " + contentFontSizeCss + "\">";
		html += dataJSON.DatContentFT;
		html += "<p style=\"color:#888888;font-size:14px;padding-top:6px;\">聲明：本文來源於網路，僅代表該作者觀點。澳門頭條僅提供資訊發佈平臺。</p>";
		html += "</div>";

        if (_nightClass == "Night")
        {
		    html += "<div style=\"text-align:center;\"><span style=\"position:absolute;margin-top:5px;margin-left:-25px;padding:0px 5px 0px 5px; color:#FFFFFF;\">分享到</span><div style=\"border-bottom:1px solid #464646\">&nbsp;</div></div>"
        }
        else
        {
            html += "<div style=\"text-align:center;\"><span style=\"position:absolute;margin-top:5px;margin-left:-25px;padding:0px 5px 0px 5px; color:#787878;background-color:#ffffff\">分享到</span><div style=\"border-bottom:1px solid #eeeeee\">&nbsp;</div></div>"
        }
        html += "<div style=\"text-align:center;padding:10px;margin-top:6px;\">";
		html += "&nbsp;&nbsp;<a href=\"#\" style=\"display:inline-block;width:46px;height:46px;padding-top:8px;border-radius: 23px;text-align:center;line-height:45px;background-color:#ffffff;border:1px solid #95CA31;\" onclick=\"f_shareToFriend('澳門頭條:" + dataJSON.DatTitleFT + "','" + dataJSON.DatTitleFT + "','" + dataJSON.DatPic + "','http://www.zhzxlh.com:8095/m/?id=" + dataJSON.DatId + "')\"><img src=\"imgs/swechat.png\" style=\"width:32px;\" /></a>";
        html += "&nbsp;&nbsp;<a href=\"#\" style=\"display:inline-block;width:46px;height:46px;padding-top:6px;border-radius: 23px;text-align:center;line-height:45px;background-color:#ffffff;border:1px solid #F2B25B;\" onclick=\"f_shareToTimeline('澳門頭條:" + dataJSON.DatTitleFT + "','" + dataJSON.DatTitleFT + "','" + dataJSON.DatPic + "','http://www.zhzxlh.com:8095/m/?id=" + dataJSON.DatId + "')\"><img src=\"imgs/stimeline.png\" style=\"width:32px;\" /></a>";
        html += "&nbsp;&nbsp;<a href=\"#\" style=\"display:inline-block;width:46px;height:46px;padding-top:6px;border-radius: 23px;text-align:center;line-height:45px;background-color:#ffffff;border:1px solid #3B5997;\" onclick=\"window.plugins.socialsharing.shareViaFacebook('澳門頭條:" + dataJSON.DatTitleFT + "', null, null, 'http://www.zhzxlh.com:8095/m/?id=" + dataJSON.DatId + "')\"><img src=\"imgs/sfacebook.png\" style=\"width:32px;\" /></a>";
		html += "&nbsp;&nbsp;<a href=\"#\" style=\"display:inline-block;width:46px;height:46px;padding-top:6px;border-radius: 23px;text-align:center;line-height:45px;background-color:#ffffff;border:1px solid #42ABE1;\" onclick=\"window.plugins.socialsharing.shareViaTwitter('澳門頭條:" + dataJSON.DatTitleFT + "', null, null, 'http://www.zhzxlh.com:8095/m/?id=" + dataJSON.DatId + "')\"><img src=\"imgs/stwiter.png\" style=\"width:32px;\" /></a>";
		html += "&nbsp;&nbsp;<a href=\"#\" style=\"display:inline-block;width:46px;height:46px;padding-top:6px;border-radius: 23px;text-align:center;line-height:45px;background-color:#ffffff;border:1px solid #4FC64C;\" onclick=\"window.plugins.socialsharing.shareViaWhatsApp('澳門頭條:" + dataJSON.DatTitleFT + "', null, null, 'http://www.zhzxlh.com:8095/m/?id=" + dataJSON.DatId + "')\"><img src=\"imgs/WhatsApp.png\" style=\"width:32px;\" /></a>";
		html += "</div><br />"

		if (dataJSON.Data.length > 0) {
            if (_nightClass == "Night") {
                html += "<div style=\"color:#FFFFFF;font-weight:bold;border-left:5px solid #4699E9;font-size:18px;margin-bottom:6px;\">&nbsp;&nbsp;相關新聞</div>"
                html += "<div style=\"padding:10px;background-color:#1B1B1B;border-top:1px solid #464646;border-bottom:0px;\">";
                for (i = 0; i < dataJSON.Data.length; i++) {
                    html += "<div onclick=\"f_loadDetail(this)\" datid=\"" + dataJSON.Data[i].DatId + "\" style=\"padding:10px;border-bottom:1px solid #464646;color:#707070;font-size:17px;\">";
                    html += dataJSON.Data[i].DatTitleFT;
                    html += "</div>";
                }
                html += "</div>";
			}
			else
			{
			    html += "<div style=\"color:#000000;font-weight:bold;border-left:5px solid #4699E9;font-size:18px;margin-bottom:6px;\">&nbsp;&nbsp;相關新聞</div>"
                html += "<div style=\"padding:10px;background-color:#F4F5F6;border-top:1px solid #E8E8E8;border-bottom:0px;\">";
                for (i = 0; i < dataJSON.Data.length; i++) {
                    html += "<div onclick=\"f_loadDetail(this)\" datid=\"" + dataJSON.Data[i].DatId + "\" style=\"padding:10px;border-bottom:1px solid #E8E8E8;color:#222222;font-size:17px;\">";
                    html += dataJSON.Data[i].DatTitleFT;
                    html += "</div>";
                }
                html += "</div>";
			}
		}

        if (dataJSON.Discuss.length > 0) {
            html += "<div style=\"margin-top:6px;\">";
            for (i = 0; i < dataJSON.Discuss.length; i++) {
                var headPic = _applicationUrl + "/" + dataJSON.Discuss[i].DdsUsrHeadPic;
                if (dataJSON.Discuss[i].DdsUsrName.indexOf("头条用户") != -1)
                {
                    headPic = "imgs/user5.png";
                }
                html += "<div style=\"color:#406599;padding:5px;font-size:12px;\"><img src=\"" + headPic + "\" style=\"width:16px;\" align=\"absmiddle\">&nbsp;" + dataJSON.Discuss[i].DdsUsrName + "</div>"
                if (_nightClass == "Night") {
                    html += "<div style=\"color:#A0A0A0;padding:5px;font-size:16px;padding-left:30px;\">" + dataJSON.Discuss[i].DdsContent + "</div>"
                }
                else{
                    html += "<div style=\"color:#222222;padding:5px;font-size:16px;padding-left:30px;\">" + dataJSON.Discuss[i].DdsContent + "</div>"
                }
                html += "<div style=\"color:#A0A0A0;padding:5px;font-size:12px;padding-left:30px;margin-bottom:10px;\">" + dataJSON.Discuss[i].DdsIDate + "</div>"
            }
            html += "</div>";
        }

		try {
			$("#page_detail").html(html);
		} catch (e) { }
		$("#btnShare").attr("onclick", "f_shareToFriend('澳門頭條:" + dataJSON.DatTitleFT + "','" + dataJSON.DatTitleFT + "','" + dataJSON.DatPic + "','http://www.zhzxlh.com:8095/m/?id=" + dataJSON.DatId + "')");
	}
	else {
		var html = "<div class=\"detailtitle" + _nightClass + " " + contentFontSizeCss + "\">" + dataJSON.DatTitle + "</div>";
		if (dataJSON.DatUsrId != "") {
		    html += "<div class=\"detailuser" + _nightClass + "\">";
            html += "<div style=\"float:left;color:#5091D2;\">" + dataJSON.DatSourceFT + "</div>";
            html += "<div style=\"float:right;color:#ABABAB\">" + dataJSON.DatPDate + "</div>";
            html += "<div style=\"clear:both;\"></div>";
            html += "</div>";
		}
		html += "<div class=\"detailcontent" + _nightClass + " " + contentFontSizeCss + "\">";
        html += dataJSON.DatContent;
        html += "<p style=\"color:#888888;font-size:14px;padding-top:6px;\">声明：本文来源于网络，仅代表该作者观点。澳门头条仅提供信息发布平台。</p>";
        html += "</div>";

        if (_nightClass == "Night")
        {
            html += "<div style=\"text-align:center;\"><span style=\"position:absolute;margin-top:5px;margin-left:-25px;padding:0px 5px 0px 5px; color:#FFFFFF;\">分享到</span><div style=\"border-bottom:1px solid #464646\">&nbsp;</div></div>"
        }
        else
        {
            html += "<div style=\"text-align:center;\"><span style=\"position:absolute;margin-top:5px;margin-left:-25px;padding:0px 5px 0px 5px; color:#787878;background-color:#ffffff\">分享到</span><div style=\"border-bottom:1px solid #eeeeee\">&nbsp;</div></div>"
        }
        html += "<div style=\"text-align:center;padding:10px;margin-top:6px;\">";
		html += "&nbsp;&nbsp;<a href=\"#\" style=\"display:inline-block;width:46px;height:46px;padding-top:8px;border-radius: 23px;text-align:center;line-height:45px;background-color:#ffffff;border:1px solid #95CA31;\" onclick=\"f_shareToFriend('澳门头条:" + dataJSON.DatTitle + "','" + dataJSON.DatTitle + "','" + dataJSON.DatPic + "','http://www.zhzxlh.com:8095/m/?id=" + dataJSON.DatId + "')\"><img src=\"imgs/swechat.png\" style=\"width:32px;\" /></a>";
		html += "&nbsp;&nbsp;<a href=\"#\" style=\"display:inline-block;width:46px;height:46px;padding-top:6px;border-radius: 23px;text-align:center;line-height:45px;background-color:#ffffff;border:1px solid #F2B25B;\" onclick=\"f_shareToTimeline('澳门头条:" + dataJSON.DatTitle + "','" + dataJSON.DatTitle + "','" + dataJSON.DatPic + "','http://www.zhzxlh.com:8095/m/?id=" + dataJSON.DatId + "')\"><img src=\"imgs/stimeline.png\" style=\"width:32px;\" /></a>";
        html += "&nbsp;&nbsp;<a href=\"#\" style=\"display:inline-block;width:46px;height:46px;padding-top:6px;border-radius: 23px;text-align:center;line-height:45px;background-color:#ffffff;border:1px solid #3B5997;\" onclick=\"window.plugins.socialsharing.shareViaFacebook('澳门头条:" + dataJSON.DatTitle + "', null, null, 'http://www.zhzxlh.com:8095/m/?id=" + dataJSON.DatId + "')\"><img src=\"imgs/sfacebook.png\" style=\"width:32px;\" /></a>";
		html += "&nbsp;&nbsp;<a href=\"#\" style=\"display:inline-block;width:46px;height:46px;padding-top:6px;border-radius: 23px;text-align:center;line-height:45px;background-color:#ffffff;border:1px solid #42ABE1;\" onclick=\"window.plugins.socialsharing.shareViaTwitter('澳门头条:" + dataJSON.DatTitle + "', null, null, 'http://www.zhzxlh.com:8095/m/?id=" + dataJSON.DatId + "')\"><img src=\"imgs/stwiter.png\" style=\"width:32px;\" /></a>";
		html += "&nbsp;&nbsp;<a href=\"#\" style=\"display:inline-block;width:46px;height:46px;padding-top:6px;border-radius: 23px;text-align:center;line-height:45px;background-color:#ffffff;border:1px solid #4FC64C;\" onclick=\"window.plugins.socialsharing.shareViaWhatsApp('澳门头条:" + dataJSON.DatTitle + "', null, null, 'http://www.zhzxlh.com:8095/m/?id=" + dataJSON.DatId + "')\"><img src=\"imgs/WhatsApp.png\" style=\"width:32px;\" /></a>";
		html += "</div><br />"

		if (dataJSON.Data.length > 0) {
		    if (_nightClass == "Night") {
                html += "<div style=\"color:#FFFFFF;font-weight:bold;border-left:5px solid #4699E9;font-size:18px;margin-bottom:6px;\">&nbsp;&nbsp;相關新聞</div>"
                html += "<div style=\"padding:10px;background-color:#1B1B1B;border-top:1px solid #464646;border-bottom:0px;\">";
                for (i = 0; i < dataJSON.Data.length; i++) {
                    html += "<div onclick=\"f_loadDetail(this)\" datid=\"" + dataJSON.Data[i].DatId + "\" style=\"padding:10px;border-bottom:1px solid #464646;color:#707070;font-size:17px;\">";
                    html += dataJSON.Data[i].DatTitle;
                    html += "</div>";
                }
                html += "</div>";
            }
            else
            {
                html += "<div style=\"color:#000000;font-weight:bold;border-left:5px solid #4699E9;font-size:18px;margin-bottom:6px;\">&nbsp;&nbsp;相关新闻</div>"
                html += "<div style=\"padding:10px;background-color:#F4F5F6;border-top:1px solid #E8E8E8;border-bottom:0px;\">";
                for (i = 0; i < dataJSON.Data.length; i++) {
                    html += "<div onclick=\"f_loadDetail(this)\" datid=\"" + dataJSON.Data[i].DatId + "\" style=\"padding:10px;border-bottom:1px solid #E8E8E8;color:#222222;font-size:17px;\">";
                    html += dataJSON.Data[i].DatTitle;
                    html += "</div>";
                }
                html += "</div>";
			}
		}

		if (dataJSON.Discuss.length > 0) {
		    html += "<div style=\"margin-top:6px;\">";
            for (i = 0; i < dataJSON.Discuss.length; i++) {
                var headPic = _applicationUrl + "/" + dataJSON.Discuss[i].DdsUsrHeadPic;
                if (dataJSON.Discuss[i].DdsUsrName.indexOf("头条用户") != -1)
                {
                    headPic = "imgs/user5.png";
                }
                html += "<div style=\"color:#406599;padding:5px;font-size:12px;\"><img src=\"" + headPic + "\" style=\"width:16px;\" align=\"absmiddle\">&nbsp;" + dataJSON.Discuss[i].DdsUsrName + "</div>"
                if (_nightClass == "Night") {
                    html += "<div style=\"color:#A0A0A0;padding:5px;font-size:16px;padding-left:30px;\">" + dataJSON.Discuss[i].DdsContent + "</div>"
                }
                else{
                    html += "<div style=\"color:#222222;padding:5px;font-size:16px;padding-left:30px;\">" + dataJSON.Discuss[i].DdsContent + "</div>"
                }
                html += "<div style=\"color:#A0A0A0;padding:5px;font-size:12px;padding-left:30px;margin-bottom:10px;\">" + dataJSON.Discuss[i].DdsIDate + "</div>"
            }
            html += "</div>";
        }

		try {
			$("#page_detail").html(html);
		} catch (e) { }
		$("#btnShare").attr("onclick", "f_shareToFriend('澳门头条:" + dataJSON.DatTitle + "','" + dataJSON.DatTitle + "','" + dataJSON.DatPic + "','http://www.zhzxlh.com:8095/m/?id=" + dataJSON.DatId + "')");
	}

	//收藏按钮处理
	var allFav = localStorage.getItem('_usrFavorites');
	if (allFav != null && (',' + allFav + ',').indexOf(',' + dataJSON.DatId + ',') != -1) {
		if (_nightClass == "Night")
		{
			$("#btnFavorites").attr("src", "imgs/btnFocusedN.png").attr("onclick", "f_removeFavorites(" + dataJSON.DatId + ")");
		}
		else
		{
			$("#btnFavorites").attr("src", "imgs/btnFocused.png").attr("onclick", "f_removeFavorites(" + dataJSON.DatId + ")");
		}
	}
	else {
		if (_nightClass == "Night")
		{
			$("#btnFavorites").attr("src", "imgs/btnFocusN.png").attr("onclick", "f_favorites(" + dataJSON.DatId + ")");
		}
		else
		{
			$("#btnFavorites").attr("src", "imgs/btnFocus.png").attr("onclick", "f_favorites(" + dataJSON.DatId + ")");
		}
	}

	$.afui.hideMask();
}

function f_loadDiscuss() {
	var datId = $("#page_detail").attr("datId");
	var page = $("#page_discuss").attr("page");

	$.afui.showMask("<img src='imgs/amrams.png' /><br /><img src=\"imgs/loading2.gif\" align=\"absmiddle\" />", 30000);
	$.ajax({
		url: _serviceUrl,
		type: "POST",
		cache: false,
		dataType: "jsonp",
		jsonp: "f_loadDiscussCallback",
		contentType: "application/json;charset=utf-8",
		data:
		{
			"action": "getdiscuss",
			"datId": datId,
			"page": page,
			"callBack": "f_loadDiscussCallback"
		},
		timeout: 5000
	});
}

function f_loadDiscussCallback(dataJSON) {
	if (dataJSON.result == "suc") {
		var html = "";

		for (i = 0; i < dataJSON.data.length; i++) {
		    var headPic = _applicationUrl + "/" + dataJSON.data[i].DdsUsrHeadPic;
            if (dataJSON.data[i].DdsUsrName.indexOf("头条用户") != -1)
            {
                headPic = "imgs/user5.png";
            }
			html += "<div style=\"color:#406599;padding:5px;font-size:12px;\"><img src=\"" + headPic + "\" style=\"width:16px;\" align=\"absmiddle\">&nbsp;" + dataJSON.data[i].DdsUsrName + "</div>"
			html += "<div style=\"color:#222222;padding:5px;font-size:16px;padding-left:30px;\">" + dataJSON.data[i].DdsContent + "</div>"
			html += "<div style=\"color:#A0A0A0;padding:5px;font-size:12px;padding-left:30px;margin-bottom:10px;\">" + dataJSON.data[i].DdsIDate + "</div>"
		}
		var page = $("#page_discuss").attr("page");
		var container = $("#page_discuss_container");
		if (page == "1") {
			container.html(html);
		}
		else {
			container.append(html);
		}
	}
	else {
		$("#page_discuss_container").html('<div style=\"padding:10px;text-align:center;font-size:12px;color:#222222\">暂无评论</div>');
	}
	$.afui.hideMask();
}